Update the current user’s profile (name).
cURL
curl --request PATCH \ --url https://api.example.com/api/auth/me \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data ' { "name": "<string>" } '
{ "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a", "email": "<string>", "name": "<string>", "role": "<string>", "created_at": "2023-11-07T05:31:56Z", "auth_provider": "<string>", "subscription": { "plan_tier": "<string>", "status": "<string>", "trial_ends_at": "2023-11-07T05:31:56Z", "current_period_end": "2023-11-07T05:31:56Z" }, "onboarding_completed_at": "2023-11-07T05:31:56Z" }
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Bearer <token>
<token>
Request schema for profile update.
100
Successful Response
Response schema for current user endpoint.
Compact subscription info embedded in UserMe.
Show child attributes